import { z } from "zod"

export const buildAreasAddSchema = z.object({

    areaName: z.string(),
    areaCode: z.string(),
    areaType: z.string(),
    areaDirection: z.string(),
    areaGrossSize: z.number(),
    areaNetSize: z.number(),
    width: z.number(),
    size: z.number(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional()

});

export type BuildAreasAdd = z.infer<typeof buildAreasAddSchema>;
